Pricefx REST API Reference
The Pricefx Backend API
Download OpenAPI description
Overview
URL
Pricefx
Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}
Request
Approves a document specified by the currentStepId. Allows you to add a comment in the request body.
Security
basic or X-PriceFx-jwt
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/workflowsmanager.approve/{currentStepId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/workflowsmanager.approve/{currentStepId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/workflowsmanager.approve/2d721e9d-ac6d-4eda-bd6c-60424f4fdaef \
-H 'Content-Type: application/json' \
-d '{
"data": {
"actionComment": "This version is ok."
}
}'Response
application/json
{ "response": { "node": "string", "csrfToken": "string", "data": [ … ], "status": 0 } }
Request
Denies a document specified by the currentStepId. Allows you to add a comment in the request body.
Security
basic or X-PriceFx-jwt
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/workflowsmanager.deny/{currentStepId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/workflowsmanager.deny/{currentStepId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/workflowsmanager.deny/2d721e9d-ac6d-4eda-bd6c-60424f4fdaef \
-H 'Content-Type: application/json' \
-d '{
"data": {
"actionComment": "Not approved - the margin is too low."
}
}'Security
basic or X-PriceFx-jwt
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/workflowsmanager.withdraw/{currentStepId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/workflowsmanager.withdraw/{currentStepId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/workflowsmanager.withdraw/2d721e9d-ac6d-4eda-bd6c-60424f4fdaefResponse
application/json
{ "response": { "node": "string", "data": [ … ], "status": 0 } }
See the Key-Value Database Storage Knowledge Base article for more details.
Operations
Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.
Comments